com.impinj.stp

## Class StpApi.GPIConfig.Builder

- java.lang.Object
- - com.google.protobuf.AbstractMessageLite.Builder<BuilderType>
  - - com.google.protobuf.AbstractMessage.Builder<BuilderType>
    - - com.google.protobuf.GeneratedMessage.Builder<StpApi.GPIConfig.Builder>
      - - com.impinj.stp.StpApi.GPIConfig.Builder

- All Implemented Interfaces:
    com.google.protobuf.Message.Builder, com.google.protobuf.MessageLite.Builder, com.google.protobuf.MessageLiteOrBuilder, com.google.protobuf.MessageOrBuilder, StpApi.GPIConfigOrBuilder, java.lang.Cloneable
  Enclosing class:
    StpApi.GPIConfig

      public static final class StpApi.GPIConfig.Builder
      extends com.google.protobuf.GeneratedMessage.Builder<StpApi.GPIConfig.Builder>
      implements StpApi.GPIConfigOrBuilder

  Protobuf type `Impinj.STP.GPIConfig` Define how input functions map to signal lines and defines input polarities.

- - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `StpApi.GPIConfig` | `build()`
    `StpApi.GPIConfig` | `buildPartial()`
    `StpApi.GPIConfig.Builder` | `clear()`
    `StpApi.GPIConfig.Builder` | `clearGPI1Polarity()`
    `StpApi.GPIConfig.Builder` | `clearGPI2Polarity()`
    `StpApi.GPIConfig.Builder` | `clearGPI3Polarity()` The time to ignore changes in the input signal to eliminate spurious triggers.
    `StpApi.GPIConfig.Builder` | `clearSignalingMode()`
    `StpApi.GPIConfig.Builder` | `clone()`
    `StpApi.GPIConfig` | `getDefaultInstanceForType()`
    `static com.google.protobuf.Descriptors.Descriptor` | `getDescriptor()`
    `com.google.protobuf.Descriptors.Descriptor` | `getDescriptorForType()`
    `StpApi.GPIOPolarity` | `getGPI1Polarity()`
    `StpApi.GPIOPolarity` | `getGPI2Polarity()`
    `StpApi.GPIOPolarity` | `getGPI3Polarity()` The time to ignore changes in the input signal to eliminate spurious triggers.
    `StpApi.GPIOSignalMode` | `getSignalingMode()`
    `boolean` | `hasGPI1Polarity()`
    `boolean` | `hasGPI2Polarity()`
    `boolean` | `hasGPI3Polarity()` The time to ignore changes in the input signal to eliminate spurious triggers.
    `boolean` | `hasSignalingMode()`
    `protected com.google.protobuf.GeneratedMessage.FieldAccessorTable` | `internalGetFieldAccessorTable()`
    `boolean` | `isInitialized()`
    `StpApi.GPIConfig.Builder` | `mergeFrom(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
    `StpApi.GPIConfig.Builder` | `mergeFrom(com.google.protobuf.Message other)`
    `StpApi.GPIConfig.Builder` | `mergeFrom(StpApi.GPIConfig other)`
    `StpApi.GPIConfig.Builder` | `setGPI1Polarity(StpApi.GPIOPolarity value)`
    `StpApi.GPIConfig.Builder` | `setGPI2Polarity(StpApi.GPIOPolarity value)`
    `StpApi.GPIConfig.Builder` | `setGPI3Polarity(StpApi.GPIOPolarity value)` The time to ignore changes in the input signal to eliminate spurious triggers.
    `StpApi.GPIConfig.Builder` | `setSignalingMode(StpApi.GPIOSignalMode value)`

    - ### Methods inherited from class com.google.protobuf.GeneratedMessage.Builder

      `addRepeatedField, clearField, getAllFields, getField, getFieldBuilder, getParentForChildren, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, isClean, markClean, mergeUnknownFields, newBuilderForField, onBuilt, onChanged, parseUnknownField, setField, setRepeatedField, setUnknownFields`

    - ### Methods inherited from class com.google.protobuf.AbstractMessage.Builder

      `findInitializationErrors, getInitializationErrorString, mergeDelimitedFrom, mergeDelimitedFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, newUninitializedMessageException`

    - ### Methods inherited from class com.google.protobuf.AbstractMessageLite.Builder

      `addAll, newUninitializedMessageException`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface com.google.protobuf.MessageOrBuilder

      `findInitializationErrors, getAllFields, getField, getInitializationErrorString, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField`

- - ### Method Detail

    - #### getDescriptor

          public static final com.google.protobuf.Descriptors.Descriptor getDescriptor()

    - #### internalGetFieldAccessorTable

          protected com.google.protobuf.GeneratedMessage.FieldAccessorTable internalGetFieldAccessorTable()

      Specified by:
        `internalGetFieldAccessorTable` in class `com.google.protobuf.GeneratedMessage.Builder<StpApi.GPIConfig.Builder>`

    - #### clear

          public StpApi.GPIConfig.Builder clear()

      Specified by:
        `clear` in interface `com.google.protobuf.Message.Builder`
      Specified by:
        `clear` in interface `com.google.protobuf.MessageLite.Builder`
      Overrides:
        `clear` in class `com.google.protobuf.GeneratedMessage.Builder<StpApi.GPIConfig.Builder>`

    - #### clone

          public StpApi.GPIConfig.Builder clone()

      Specified by:
        `clone` in interface `com.google.protobuf.Message.Builder`
      Specified by:
        `clone` in interface `com.google.protobuf.MessageLite.Builder`
      Overrides:
        `clone` in class `com.google.protobuf.GeneratedMessage.Builder<StpApi.GPIConfig.Builder>`

    - #### getDescriptorForType

          public com.google.protobuf.Descriptors.Descriptor getDescriptorForType()

      Specified by:
        `getDescriptorForType` in interface `com.google.protobuf.Message.Builder`
      Specified by:
        `getDescriptorForType` in interface `com.google.protobuf.MessageOrBuilder`
      Overrides:
        `getDescriptorForType` in class `com.google.protobuf.GeneratedMessage.Builder<StpApi.GPIConfig.Builder>`

    - #### getDefaultInstanceForType

          public StpApi.GPIConfig getDefaultInstanceForType()

      Specified by:
        `getDefaultInstanceForType` in interface `com.google.protobuf.MessageLiteOrBuilder`
      Specified by:
        `getDefaultInstanceForType` in interface `com.google.protobuf.MessageOrBuilder`

    - #### build

          public StpApi.GPIConfig build()

      Specified by:
        `build` in interface `com.google.protobuf.Message.Builder`
      Specified by:
        `build` in interface `com.google.protobuf.MessageLite.Builder`

    - #### buildPartial

          public StpApi.GPIConfig buildPartial()

      Specified by:
        `buildPartial` in interface `com.google.protobuf.Message.Builder`
      Specified by:
        `buildPartial` in interface `com.google.protobuf.MessageLite.Builder`

    - #### mergeFrom

          public StpApi.GPIConfig.Builder mergeFrom(com.google.protobuf.Message other)

      Specified by:
        `mergeFrom` in interface `com.google.protobuf.Message.Builder`
      Overrides:
        `mergeFrom` in class `com.google.protobuf.AbstractMessage.Builder<StpApi.GPIConfig.Builder>`

    - #### mergeFrom

          public StpApi.GPIConfig.Builder mergeFrom(StpApi.GPIConfig other)

    - #### isInitialized

          public final boolean isInitialized()

      Specified by:
        `isInitialized` in interface `com.google.protobuf.MessageLiteOrBuilder`
      Overrides:
        `isInitialized` in class `com.google.protobuf.GeneratedMessage.Builder<StpApi.GPIConfig.Builder>`

    - #### mergeFrom

          public StpApi.GPIConfig.Builder mergeFrom(com.google.protobuf.CodedInputStream input,
                                                    com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                             throws java.io.IOException

      Specified by:
        `mergeFrom` in interface `com.google.protobuf.Message.Builder`
      Specified by:
        `mergeFrom` in interface `com.google.protobuf.MessageLite.Builder`
      Overrides:
        `mergeFrom` in class `com.google.protobuf.AbstractMessage.Builder<StpApi.GPIConfig.Builder>`
      Throws:
        `java.io.IOException`

    - #### hasSignalingMode

          public boolean hasSignalingMode()

      Specified by:
        `hasSignalingMode` in interface `StpApi.GPIConfigOrBuilder`

    - #### getSignalingMode

          public StpApi.GPIOSignalMode getSignalingMode()

      Specified by:
        `getSignalingMode` in interface `StpApi.GPIConfigOrBuilder`

    - #### setSignalingMode

          public StpApi.GPIConfig.Builder setSignalingMode(StpApi.GPIOSignalMode value)

    - #### clearSignalingMode

          public StpApi.GPIConfig.Builder clearSignalingMode()

    - #### hasGPI1Polarity

          public boolean hasGPI1Polarity()

      Specified by:
        `hasGPI1Polarity` in interface `StpApi.GPIConfigOrBuilder`

    - #### getGPI1Polarity

          public StpApi.GPIOPolarity getGPI1Polarity()

      Specified by:
        `getGPI1Polarity` in interface `StpApi.GPIConfigOrBuilder`

    - #### setGPI1Polarity

          public StpApi.GPIConfig.Builder setGPI1Polarity(StpApi.GPIOPolarity value)

    - #### clearGPI1Polarity

          public StpApi.GPIConfig.Builder clearGPI1Polarity()

    - #### hasGPI2Polarity

          public boolean hasGPI2Polarity()

      Specified by:
        `hasGPI2Polarity` in interface `StpApi.GPIConfigOrBuilder`

    - #### getGPI2Polarity

          public StpApi.GPIOPolarity getGPI2Polarity()

      Specified by:
        `getGPI2Polarity` in interface `StpApi.GPIConfigOrBuilder`

    - #### setGPI2Polarity

          public StpApi.GPIConfig.Builder setGPI2Polarity(StpApi.GPIOPolarity value)

    - #### clearGPI2Polarity

          public StpApi.GPIConfig.Builder clearGPI2Polarity()

    - #### hasGPI3Polarity

          public boolean hasGPI3Polarity()

      The time to ignore changes in the input signal to eliminate spurious triggers. In milliseconds.
      Specified by:
        `hasGPI3Polarity` in interface `StpApi.GPIConfigOrBuilder`

    - #### getGPI3Polarity

          public StpApi.GPIOPolarity getGPI3Polarity()

      The time to ignore changes in the input signal to eliminate spurious triggers. In milliseconds.
      Specified by:
        `getGPI3Polarity` in interface `StpApi.GPIConfigOrBuilder`

    - #### setGPI3Polarity

          public StpApi.GPIConfig.Builder setGPI3Polarity(StpApi.GPIOPolarity value)

      The time to ignore changes in the input signal to eliminate spurious triggers. In milliseconds.

    - #### clearGPI3Polarity

          public StpApi.GPIConfig.Builder clearGPI3Polarity()

      The time to ignore changes in the input signal to eliminate spurious triggers. In milliseconds.